/*
 * その他のルーチン
 */


#ifndef MINATO_EXTRA_H
#define MINATO_EXTRA_H

#define RESULT          // 返り値的に使う引数
#define ALLOCATED       // メモリアロケートする返り値
#define READONLY        // 読み込み専用のパブリックなグローバル定義

typedef int BOOL;

#define TRUE 1
#define FALSE 0

#include <sys/stat.h>

ALLOCATED char* extname(char* name);       // 拡張子名を返す
ALLOCATED char* noextname(char* name);     // 拡張子名以外を返す
ALLOCATED char* parentname(char* path);    // 親ディレクトリ名を返す
ALLOCATED char* mygetcwd();                // カレントディレクトリを返す
char* mygetpwuid(struct stat* statbuf);    // statからユーザー名を返す
char* mygetgrgid(struct stat* statbuf);    // statからグループ名を返す
char* mystrcasestr(const char *haystack, const char *needle); // 部分文字列を返す
void mystrtolower(char* result);           // 文字列を小文字にする

#endif
